Update Users
/unified/user-directory/users/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
4 supported4 required2 notes
The ID of the organization to update the user in
The unique identifier for the organization
2 supported1 required
1 supported
2 supported2 required
The unique identifier of a user
1 supported1 required
The groups of the user
14 supported1 required
The unique identifier for a group
The name of the group
The unique identifier of the organization to which the group belongs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The unique identifier for a user
39 supported
1 supported
The avatar of the user
12 supported
The date and time the user was created
26 supported
1 supported
1 supported1 required
1 supported
The emails of the user
36 supported1 required
The email address
Whether the email address is primary
The type of email address
The first name of the user
23 supported1 required
1 supported1 required
The groups of the user
14 supported
The unique identifier for a group
The name of the group
The unique identifier of the organization to which the group belongs
The languages preferred by the user
9 supported
The last name of the user
23 supported1 required
Whether the user is a licensed user.
1 supported
The licenses of the user or the products the user has access to
15 supported
The unique identifier for a license
The date and time the user was last active for the license
The name of the license
The unique identifier of the organization to which the license belongs
The name of the user
36 supported1 required
The organizations of the user
4 supported
The unique identifier for an organization
The name of the organization
1 supported1 required
The phones of the user
15 supported
The phone number
The type of phone number
phonemobile
The extension of the phone number
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The roles of the user
32 supported4 required
The name of the role
admingroup_admin
The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.
The unique identifier for a role
admingroup_admin
The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.
The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.
lifecycle status of the user
activeinactivedeletedinvitedactiveinactiveactiveinactivedeletedactiveactiveinactiveactiveinactiveactiveinactive+ 4 more
30 supported1 required
activeinactiveactiveinactivedeletedactiveactiveinactiveThe timezone of the user
11 supported
The title of the user
9 supported
The URLs of the user
1 supported
The type of URL
The URL
The type of user
2 supported
The username of the user
15 supported1 required
The workspaces of the user
3 supported
The unique identifier for a workspace
The name of the workspaces
Response Body
The unique identifier for a user
39 supported
The date and time the user was activated
2 supported
The avatar of the user
12 supported
The bio of the user. Usually a short description set by the user about them.
2 supported
The date and time the user was created
26 supported
The emails of the user
35 supported
The email address
Whether the email address is primary
The type of email address
The external identifier for a user. This is set when the SCIM API is being used.
2 supported
The first name of the user
23 supported
The groups of the user
14 supported
The unique identifier for a group
The name of the group
The unique identifier of the organization to which the group belongs
The identifiers of the user.
1 supported
Whether the user has 2FA enabled
3 supported
Whether the user's email has been verified
5 supported
The languages preferred by the user
9 supported
The date and time the user was last active
8 supported
The date and time the user was last logged in
14 supported
The last name of the user
23 supported
The licenses of the user or the products the user has access to
15 supported
The unique identifier for a license
The date and time the user was last active for the license
The name of the license
The unique identifier of the organization to which the license belongs
The name of the user
36 supported
The organizations of the user
4 supported
The unique identifier for an organization
The name of the organization
The phones of the user
15 supported
The extension of the phone number
The phone number
The type of phone number
Raw data returned from the remote API call.
The roles of the user
30 supported
The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.
The unique identifier for a role
The name of the role
The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.
The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.
The status of the user. If no clear mapping is available, then the raw value is returned.
activeinactivedeletedinvited
30 supported
The date and time the user's status was last changed
The timezone of the user
11 supported
The title of the user
9 supported
The date and time the user was last updated
17 supported
The URLs of the user
1 supported
The type of URL
The URL
The type of user
2 supported
The username of the user
15 supported
The workspaces of the user
3 supported
The unique identifier for a workspace
The name of the workspaces
curl -X PATCH 'https://api.truto.one/unified/user-directory/users/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "your_name",
"password": "your_password",
"group": 0,
"roles": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"username": "your_username",
"emails": [],
"workspaces": [],
"status": "active",
"phones": [],
"title": "your_title",
"groups": [],
"timezone": "your_timezone",
"avatar": "your_avatar",
"languages": [],
"user_type": "your_user_type",
"licensed_sheet_creator": true,
"organizations": [],
"created_at": "your_created_at",
"licenses": [],
"id": "your_id",
"urls": [],
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"name": "your_name",
"password": "your_password",
"group": 0,
"roles": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"username": "your_username",
"emails": [],
"workspaces": [],
"status": "active",
"phones": [],
"title": "your_title",
"groups": [],
"timezone": "your_timezone",
"avatar": "your_avatar",
"languages": [],
"user_type": "your_user_type",
"licensed_sheet_creator": true,
"organizations": [],
"created_at": "your_created_at",
"licenses": [],
"id": "your_id",
"urls": [],
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/user-directory/users/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/user-directory/users/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"name": "your_name",
"password": "your_password",
"group": 0,
"roles": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"username": "your_username",
"emails": [],
"workspaces": [],
"status": "active",
"phones": [],
"title": "your_title",
"groups": [],
"timezone": "your_timezone",
"avatar": "your_avatar",
"languages": [],
"user_type": "your_user_type",
"licensed_sheet_creator": True,
"organizations": [],
"created_at": "your_created_at",
"licenses": [],
"id": "your_id",
"urls": [],
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'user-directory',
'users',
'<resource_id>',
{
"name": "your_name",
"password": "your_password",
"group": 0,
"roles": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"username": "your_username",
"emails": [],
"workspaces": [],
"status": "active",
"phones": [],
"title": "your_title",
"groups": [],
"timezone": "your_timezone",
"avatar": "your_avatar",
"languages": [],
"user_type": "your_user_type",
"licensed_sheet_creator": true,
"organizations": [],
"created_at": "your_created_at",
"licenses": [],
"id": "your_id",
"urls": [],
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"user-directory",
"users",
"<resource_id>",
{
"name": "your_name",
"password": "your_password",
"group": 0,
"roles": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"username": "your_username",
"emails": [],
"workspaces": [],
"status": "active",
"phones": [],
"title": "your_title",
"groups": [],
"timezone": "your_timezone",
"avatar": "your_avatar",
"languages": [],
"user_type": "your_user_type",
"licensed_sheet_creator": True,
"organizations": [],
"created_at": "your_created_at",
"licenses": [],
"id": "your_id",
"urls": [],
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())